Showing questions tagged: Show all questions
  • Solved
  • Archived

Firefox has blocked the use of LASTPASS and KASPERSKY PROTECTION without any warning and Firefox is now worthless to me!!!!!!

The new update (66.0.3) blocked LASTPASS and also Kaspersky protection. There was no warning and it is a major problem for my 5 computers. I NEED THESE and i'm sure ma… (read more)

The new update (66.0.3) blocked LASTPASS and also Kaspersky protection. There was no warning and it is a major problem for my 5 computers. I NEED THESE and i'm sure many others do, as well. Unless there is an EASY and QUICK fix i will be forced to abandon firefox and i've been there from the start.

I AM APPALLED that there was no warning about these serious and disabling changes as well as what would be disabled. At least we could contact the software affected and find out if there is a fix before we are just summarily screwed by loss of function.

You may be fixing security concerns, but you have created much more serious security concerns in the process...

Asked by cybersailer 1 year ago

Answered by philipp 1 year ago